import LayOut from "@/components/layout/layout";
import Archives from "@/pages/archives";
import Dep from "@/pages/dep";
import Home from "@/pages/home/home";
import LeaveApproval from "@/pages/leaveApproval";
import MaterialMgmt from "@/pages/materialMgmt";
import PersMgmt from "@/pages/persMgmt";
import PoliticalStudy from "@/pages/politicalStudy";
import PolRegulations from "@/pages/polRegulations";
import Tag from "@/pages/tag/tag";
import TeamMgmt from "@/pages/teamMgmt";
import User from "@/pages/user/user";
import WhseMgmt from "@/pages/whseMgmt";
export const homeRouter = [
  {
    path: "/",
    index: true,
    element: <Home />,
  },
  {
    path: "/dashbord",
    index: false,
    element: <Home />,
  },
  {
    path: "/admin",
    element: <LayOut />,
    children: [
      {
        path: "/admin/user",
        index: true,
        element: <User />,
      },
      {
        path: "/admin/tag",
        index: true,
        element: <Tag />,
      },
      {
        path: "/admin/dep",
        index: true,
        element: <Dep />,
      },
      {
        path: "/admin/archives",
        index: true,
        element: <Archives />,
      },
      {
        path: "/admin/leaveApproval",
        index: true,
        element: <LeaveApproval />,
      },
      {
        path: "/admin/materialMgmt",
        index: true,
        element: <MaterialMgmt />,
      },
      {
        path: "/admin/persMgmt",
        index: true,
        element: <PersMgmt />,
      },
      {
        path: "/admin/politicalStudy",
        index: true,
        element: <PoliticalStudy />,
      },
      {
        path: "/admin/polRegulations",
        index: true,
        element: <PolRegulations />,
      },
      {
        path: "/admin/teamMgmt",
        index: true,
        element: <TeamMgmt />,
      },
      {
        path: "/admin/whseMgmt",
        index: true,
        element: <WhseMgmt />,
      },
    ],
  },
];
