import { makeObservable } from "mobx";
// 用户信息
import BaseStore from "./baseStore";
import { TagDataType } from "@/model/userModel";

class DepConfig {
    static LIST: string = "dep/list"
    static ADD: string = "dep"
    static DELETE: string = "dep"
    static EDIT: string = "dep"
}
class DepStore extends BaseStore<TagDataType> {
    constructor() {
        super(DepConfig)
        makeObservable(this, {})
    }
}

export const depStore = new DepStore();
 