import { useState } from "react";
import { Button, Modal } from "antd";
import "./right.less";
const HomeBottom = () => {
  const [isModalOpen, setIsModalOpen] = useState<boolean>(false);
  const openDispatch = () => {
    setIsModalOpen(true);
  };
  const handleCancle = () => {
    setIsModalOpen(false);
  };
  const handleSubmit = ()=>{
    setIsModalOpen(false);
  }
  return (
    <div className="bottom_container">
      <div className="bottom_content">
        <span onClick={openDispatch}>巡防调度</span>
        <span onClick={openDispatch}>应急处突</span>
        <span onClick={openDispatch}>应急连线</span>
        <span onClick={openDispatch}>视频查看</span>
      </div>
      <Modal
        title={"添加用户"}
        className="owner_model"
        width={800}
        open={isModalOpen}
        afterClose={() => {}}
        onOk={() => {}}
        footer={[
          <Button key="return" ghost onClick={handleCancle}>
            取消
          </Button>,
          <Button className="btn-dp" key="submit" type="primary" ghost onClick={handleSubmit}>
            确定
          </Button>,
        ]}
        onCancel={() => {
          setIsModalOpen(false);
        }}
      ></Modal>
    </div>
  );
};

export default HomeBottom;
