import { useState } from "react";
import { Modal } from "antd";
import "./left.less";
import { useNavigate } from "react-router";
import MapUtl from "@/components/map/mapUtil";
const HomeLeft = () => {
  const [isModalOpen, setIsModalOpen] = useState<boolean>(false);
  const navigate = useNavigate();
  const openDispatch = () => {
    // 位置移动
    MapUtl.makerList[0].setPosition([103.55, 30.342]);
    var m = MapUtl.amap;
    var newIcon = new m.Icon({
      image: "//a.amap.com/jsapi_demos/static/demo-center/icons/dir-marker.png", //Icon 的图像
      size: new m.Size(25, 34), // 图标大小
      anchor: new m.Pixel(12, 32), // 图标锚点
    });
    MapUtl.makerList[0].setIcon(newIcon);
  };
  const jumpToUser = () => {
    navigate("admin/user");
  };

  return (
    <div className="left_container">
      <div onClick={openDispatch} className="org">
        <div className="org_head">
          <p>组织架构</p>
        </div>
      </div>
      <div onClick={jumpToUser} className="org">
        <div className="org_head">
          <p>武装力量</p>
        </div>
      </div>
      <div onClick={openDispatch} className="org">
        <div className="org_head">
          <p>年度训练</p>
        </div>
      </div>
      <Modal
        title="组织架构"
        className="owner_model"
        width={"80%"}
        open={isModalOpen}
        afterClose={() => {}}
        onOk={() => {}}
        onCancel={() => {
          setIsModalOpen(false);
        }}
      >
        <p>cascsa</p>
      </Modal>
    </div>
  );
};

export default HomeLeft;
