import { makeObservable } from "mobx";
// 用户信息
import BaseStore from "./baseStore";
import { TagDataType } from "@/model/userModel";


class ArchivesCategoryConfig {
    static LIST: string = "archives/category/list"
    static ADD: string = "archives/category"
    static DELETE: string = "archives/category"
    static EDIT: string = "archives/category"
}
class ArchivesCategoryStore extends BaseStore<TagDataType> {
    constructor() {
        super(ArchivesCategoryConfig)
        makeObservable(this, {})
    }
}
export const acStore = new ArchivesCategoryStore()

