import { makeObservable } from "mobx";
// 用户信息
import BaseStore from "./baseStore";
import { TagDataType } from "@/model/userModel";

class FolderConfig {
    static LIST: string = "archives/folder/list"
    static ADD: string = "archives/folder"
    static DELETE: string = "archives/folder"
    static EDIT: string = "archives/folder"
}
class FolderStore extends BaseStore<TagDataType> {
    constructor() {
        super(FolderConfig)
        makeObservable(this, {})
    }
}
const folderStore = new FolderStore()
export default folderStore;

